import {EntityRepository, Repository} from "typeorm";
import { AboutPageSectionTwoCmsEntity } from "./entities/about-page-section-two-cms.entity";
import { UpdateAboutPageSectionTwoCmsDto } from "./dto/update-about-page-section-two-cms.dto";

@EntityRepository(AboutPageSectionTwoCmsEntity)
export class AboutPageSectionTwoCmsRepository extends Repository<AboutPageSectionTwoCmsEntity> {

    async createEntity(dto: UpdateAboutPageSectionTwoCmsDto): Promise<AboutPageSectionTwoCmsEntity | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                description: dto.description,
                image: dto.image,
                achievementOneTitle: dto.achievementOneTitle,
                achievementOneValue: dto.achievementOneValue,
                achievementTwoTitle: dto.achievementTwoTitle,
                achievementTwoValue: dto.achievementTwoValue,
                achievementThreeTitle: dto.achievementThreeTitle,
                achievementThreeValue: dto.achievementThreeValue,
                achievementFourTitle: dto.achievementFourTitle,
                achievementFourValue: dto.achievementFourValue
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateAboutPageSectionTwoCmsDto, id: string): Promise<AboutPageSectionTwoCmsEntity | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                description: dto.description,
                image: dto.image,
                achievementOneTitle: dto.achievementOneTitle,
                achievementOneValue: dto.achievementOneValue,
                achievementTwoTitle: dto.achievementTwoTitle,
                achievementTwoValue: dto.achievementTwoValue,
                achievementThreeTitle: dto.achievementThreeTitle,
                achievementThreeValue: dto.achievementThreeValue,
                achievementFourTitle: dto.achievementFourTitle,
                achievementFourValue: dto.achievementFourValue
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<AboutPageSectionTwoCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}