import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { PurchaseAndDeliveryPolicyCmsService } from "./purchase-and-delivery-policy-cms.service";
import { UpdatePurchaseAndDeliveryPolicyCmsDto } from "./dto/update-purchase-and-delivery-policy-cms.dto";

@Controller({ path: "purchase-and-delivery-policy-cms", version: Constants.API_VERSION_1 })

export class PurchaseAndDeliveryPolicyCmsController {
    constructor(private readonly service: PurchaseAndDeliveryPolicyCmsService) {}

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdatePurchaseAndDeliveryPolicyCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
