import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { RefundPolicyCmsService } from "./refund-policy-cms.service";
import { UpdateRefundPolicyCmsDto } from "./dto/update-refund-policy-cms.dto";

@Controller({ path: "refund-policy-cms", version: Constants.API_VERSION_1 })

export class RefundPolicyCmsController {
    constructor(private readonly service: RefundPolicyCmsService) {}

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateRefundPolicyCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
