import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { FAQController } from "./faq.controller";
import { FAQRepository } from "./faq.repository";
import { FAQService } from "./faq.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([FAQRepository])
    ],
    controllers: [FAQController],
    providers: [FAQService, JwtHelper]
})
export class FAQModule {}
