import { EntityRepository, getConnection, Repository } from "typeorm";
import { UpdateReturnProductDto } from "./dto/update-return-product.dto";
import { ReturnProduct } from "./entities/return-product.entity";


@EntityRepository(ReturnProduct)
export class ReturnProductsRepository extends Repository<ReturnProduct> {
    async createEntity(
        dto: any
    ): Promise<any | Error> {
        try {
            const entity = this.create(dto);
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async findOneEntity(
        id: string
    ): Promise<ReturnProduct | Error> {
        try {
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async updateEntity(
        id: string,
        dto: any
    ): Promise<ReturnProduct | Error> {
        try {
            await this.update(id, {
                status: dto.status
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findByFilterQuery(query: any): Promise<any | Error> {
        try {
            return await this.find({
                order: { createdAt: -1 },
                where: { ...query, isDeleted: false }
            });
        }
        catch (e) {
            return e;
        }
    }

    async deleteEntity(id: string): Promise<boolean | Error> {
        try {
            const updateResult = await getConnection()
                .createQueryBuilder()
                .update(ReturnProduct)
                .set({ isDeleted: true })
                .where("id = :id", { id: id })
                .execute();
            if (updateResult.affected > 0) {
                return true;
            }
            return false;
        }
        catch (e) {
            return e;
        }
    }
}