import {Module} from '@nestjs/common';
import {JwtModule} from '@nestjs/jwt';
import {TypeOrmModule} from '@nestjs/typeorm';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import {FileUploadsService} from 'src/modules/file-uploads/file-uploads.service';
import {UsersRepository} from 'src/modules/users/user.repository';
import {TaxExemptController} from './tax-exempt.controller';
import {TaxExemptRepository} from './tax-exempt.repository';
import {TaxExemptService} from './tax-exempt.service';
import { DoSpacesServicerovider } from '../SpacesModule/SpacesService';
import { DoSpacesService } from '../SpacesModule/SpacesService/doSpacesService';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([TaxExemptRepository])
    ],
    controllers: [TaxExemptController],
    providers: [TaxExemptService, JwtHelper, FileUploadsService, DoSpacesServicerovider, DoSpacesService]
})
export class TaxExemptModule {
}
